Skip to main content
GET
/
api
/
v1
/
claims
View all claims made by your customers
curl --request GET \
  --url https://dev.superpool.unyte.africa/api/v1/claims/ \
  --header 'X-API-Key: <api-key>'
[
  {
    "count": 2,
    "next": "http://example.com/api/claims/?limit=20",
    "previous": null,
    "results": [
      {
        "claim_id": "d2d0c0b4-bf72-4a61-a02e-3ab896dd8bf7",
        "claim_reference_number": "CLAIM-20240813-5678",
        "claim_status": "approved",
        "claim_date": "2024-08-13",
        "claimant": {
          "customer_id": "71e1d8b4-c26b-4014-afcb-6f94a8adac1a",
          "customer_name": "Michael Smith",
          "customer_email": "michaelsmith@example.com",
          "customer_phone": "+9876543210"
        },
        "claim_amount": "3200.00",
        "insurer": "Leadway Assurance",
        "product": {
          "name": "Auto Insurance",
          "product_type": "Automobile"
        },
        "policy": "dc4bf271-6491-3812-8f39-58d4ccf39b70",
        "claim_status_timeline": [
          {
            "time_stamp": "2024-08-13 08:45:00",
            "name": "submitted"
          },
          {
            "time_stamp": "2024-08-13 10:00:00",
            "name": "under review"
          },
          {
            "time_stamp": "2024-08-13 12:15:00",
            "name": "pending approval"
          },
          {
            "time_stamp": "2024-08-13 14:30:00",
            "name": "approved"
          }
        ],
        "notes": "Claim approved and payment initiated.",
        "documents": [
          {
            "document_name": "Claim Form",
            "evidence_type": "PDF",
            "blob": "base64encodedstring",
            "uploaded_at": "2024-08-13T08:00:00Z"
          },
          {
            "document_name": "Medical Report",
            "evidence_type": "PDF",
            "blob": "base64encodedstring",
            "uploaded_at": "2024-08-13T08:30:00Z"
          }
        ]
      },
      {
        "claim_id": "d2d0c0b4-bf72-4a61-a02e-3ab896dd8bf7",
        "claim_reference_number": "CLAIM-20240813-5678",
        "claim_status": "approved",
        "claim_date": "2024-08-13",
        "claimant": {
          "customer_id": "71e1d8b4-c26b-4014-afcb-6f94a8adac1a",
          "customer_name": "Michael Smith",
          "customer_email": "michaelsmith@example.com",
          "customer_phone": "+9876543210"
        },
        "claim_amount": "3200.00",
        "insurer": "Leadway Assurance",
        "product": {
          "name": "Auto Insurance",
          "product_type": "Automobile"
        },
        "policy": "dc4bf271-6491-3812-8f39-58d4ccf39b70",
        "claim_status_timeline": [
          {
            "time_stamp": "2024-08-13 08:45:00",
            "name": "submitted"
          },
          {
            "time_stamp": "2024-08-13 10:00:00",
            "name": "under review"
          },
          {
            "time_stamp": "2024-08-13 12:15:00",
            "name": "pending approval"
          },
          {
            "time_stamp": "2024-08-13 14:30:00",
            "name": "approved"
          }
        ],
        "notes": "Claim approved and payment initiated.",
        "documents": [
          {
            "document_name": "Claim Form",
            "evidence_type": "PDF",
            "blob": "base64encodedstring",
            "uploaded_at": "2024-08-13T08:00:00Z"
          },
          {
            "document_name": "Medical Report",
            "evidence_type": "PDF",
            "blob": "base64encodedstring",
            "uploaded_at": "2024-08-13T08:30:00Z"
          }
        ]
      }
    ]
  }
]

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string
required

UUID of the claim

Query Parameters

claim_type
string

Filter claims by product category

customer_email
string<email>
first_name
string
insurer
string

Filter claims by insurer

last_name
string
phone_number
string

Response

200 - application/json

List of claims

claim_id
string<uuid>
required
claim_reference_number
string
required
claim_status
string
required
claim_date
string<date>
required
claimant
string
required
claim_type
string | null
required
claim_amount
string<decimal>
required
Pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
amount_payable
string<decimal> | null
required
Pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
insurer
string
required
product
object
required

Serilizes the metadata about the product category a claim belongs to

policy
string<uuid>
required

Unique identifier for the policy

notes
string | null
required
documents
string
required
claim_status_timeline
object[]
required
incident_date
string<date> | null
incident_description
string | null
estimated_loss
string<decimal> | null
Pattern: ^-?\d{0,8}(?:\.\d{0,2})?$